import os

folder = os.getcwd()

for root, _, filenames in os.walk(folder):
    for filename in filenames:
        path = os.path.join(root, filename)
        
        newname = path.replace('blue', 'orange')
        
        if newname != path:
            try:
                os.rename(path, newname)
                print(f"Renamed: {path} to {newname}")
            except Exception as e:
                print(f"Failed to rename {path}: {e}")
